Productsup
CDE APIApi referencePlatform

Update dev environment for connector version

Update/assign dev account/project/site. If updating only account, it will have a project dedicated to the connector testing, within this project each site would host a version of the connector. *Note*: the account and project are preserved when generating a new version of a connector

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/dev-environment

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/dev-environment" \  -H "Content-Type: application/json" \  -d '{    "account": 1,    "project": 11,    "site": 111  }'
{
  "message": "Dev environment successfully updated."
}
{
  "message": "You have to be authorized to access this resource."
}

How is this guide?